#ifndef __IActivePageItemExtension_h__
#define __IActivePageItemExtension_h__

#include "ScriptData.h"
#include "ActivePageItemExtensionID.h"

///
/// Interface to a C++ extension aggregated onto a page item
///

class IActivePageItemExtension : public IPMUnknown
 {
public:
  enum    {kDefaultIID = IID_IACTIVEPAGEITEMEXTENSION};

  virtual ErrorCode
    CallExtension(
              ScriptData& returnData,
        const ScriptData& par1 = ScriptData(),
        const ScriptData& par2 = ScriptData(),
        const ScriptData& par3 = ScriptData(),
        const ScriptData& par4 = ScriptData(),
        const ScriptData& par5 = ScriptData()) = 0;
 };

#endif // __IActivePageItemExtension_h__
